WordPress.org

Forums

I installed wp 3.5, turned on debugging and getting errors (4 posts)

  1. gdws
    Member
    Posted 2 years ago #

    i turned on debugging to see some conflicts with plugins and then i disabled all plugins and set twentyeleven theme

    in dashboard i am getting:

    Notice: WP_User->id was called with an argument that is deprecated since version 2.1! Use WP_User->ID instead. in /home/username/public_html/wp-includes/functions.php on line 2908 Notice: WP_User->id was called with an argument that is deprecated since version 2.1! Use WP_User->ID instead. in /home/username/public_html/wp-includes/functions.php on line 2908

  2. Yes, the debug bar does show errors.

    What conflicts were you having that prompted you to do this?

  3. gdws
    Member
    Posted 2 years ago #

    when i enabled the wp debug function in the wp-config.php i get those errors. no plugins were enabled at the time and was using the twentytwelve theme at the time.

    I dont like to see errors, this tells me things are not compatible or there are issues. i wanted to see how to correct this before i enabled plugins and my theme.

    is it normal to see the posted error?

  4. Yes it is. Deprecated errors are okay :) It just means we should do it better.

    This is NOT a Multisite error, though, it's just a theme one.

Topic Closed

This topic has been closed to new replies.

About this Topic